Skip to content

time-tracking-contracts


Add contract

POST
/accounts/{accountUuid}/time/v2/employees/{employeeUuid}/contracts

Add a contract for an employee

Authorizations

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
employeeUuid*
Type
string
Required
Format
"uuid"

Request Body

application/json
JSON
{
  
"monday": true,
  
"tuesday": true,
  
"wednesday": true,
  
"thursday": true,
  
"friday": true,
  
"saturday": true,
  
"sunday": true,
  
"validFromDate": "string",
  
"validToDate": "string",
  
"employeeWorkModelUuid": "string",
  
"employmentFactor": 0,
  
"shortTimeWorkFactor": 0,
  
"workingCountryCode": "string",
  
"workingStateCode": "string",
  
"hoursPerWeek": 0,
  
"holidaysPerYear": 0
}

Responses

Successful response

application/json
JSON
{
  
"data": {
  
  
"uuid": "string",
  
  
"monday": true,
  
  
"tuesday": true,
  
  
"wednesday": true,
  
  
"thursday": true,
  
  
"friday": true,
  
  
"saturday": true,
  
  
"sunday": true,
  
  
"validFromDate": "string",
  
  
"validToDate": "string",
  
  
"employeeWorkModelUuid": "string",
  
  
"employmentFactor": 0,
  
  
"shortTimeWorkFactor": 0,
  
  
"workingDays": 0,
  
  
"hoursPerWeek": 0,
  
  
"holidaysPerYear": 0,
  
  
"workingStateCode": "string",
  
  
"workingStateName": "string",
  
  
"workingCountryCode": "string",
  
  
"workingCountryName": "string",
  
  
"isClosed": true
  
},
  
"message": "string",
  
"status": 201,
  
"meta": {
  
}
}

Playground

Authorization
Variables
Key
Value
Body

Samples